import numpy, cv2

cap = cv2.VideoCapture(0)
lowpass_mask = numpy.zeros((480,640));
size = 30
lowpass_mask[240-size:240+size, 320-size:320+size] = 1
 
while 1:
    stat, image = cap.read()
    #
    image = cv2.resize(image, (640,480));

    image = cv2.cvtColor(image, cv2.COLOR_BGR2GRAY)
    f = numpy.fft.fft2(image) # Fourier trans.
    f = numpy.fft.fftshift(f) # Centering
    #f_amp = numpy.log(numpy.abs(f)) # amplitude
    #f_amp = numpy.abs(f) # amplitude
    #f = numpy.multiply(f, lowpass_mask) # Low-pass fiter
    f[240-size:240+size,320-size:320+size] = 0 # High-pass filter
    f = numpy.fft.ifftshift(f) # De-centering
    invf = numpy.fft.ifft2(f) # Invrese Fourier trans.
    print f
    image2 = numpy.abs(invf)
    #image2 = f_amp/numpy.max(f_amp)*255.0
    
    cv2.imshow('Camera', image2.astype(numpy.uint8))
    key = cv2.waitKey(10)

    if key == 0x1b: # ESC
        break

cap.release()
cv2.destroyAllWindows()


