import numpy, cv2, gauss2D

image = cv2.imread('floor.png')
cv2.imshow('original', image)

h,w,c = image.shape
src = numpy.array([(93, 58), (51, 196), (308, 190), (265,55)], numpy.float32)
dst = numpy.array([((w-h)/2,0), ((w-h)/2,h), ((w+h)/2,h), ((w+h)/2,0)], numpy.float32)
M = cv2.getPerspectiveTransform(src, dst)
image1 = cv2.warpPerspective(image, M, (w, h))

cv2.imwrite('floor_square.png', image1)
cv2.imshow('transformed', image1)
cv2.waitKey(0)
